Your message dated Thu, 22 Feb 2018 16:24:28 +0000
with message-id <e1eotfy-000485...@fasolo.debian.org>
and subject line Bug#879816: fixed in eclipse-titan 6.3.1-1
has caused the Debian Bug report #879816,
regarding eclipse-titan depends on gcc-6.3.0, but unstable has gcc-7.2.0
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
879816: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=879816
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Package: eclipse-titan
Version: 6.2.0-1
Severity: important

upstream eclipse-titan enforces that the gcc version used to build it is 
identical
to the gcc version that is used to compile code generated by the eclipse titan 
ttcn3
compiler.

So whenever a new build of eclipse-titan happens in the debian archive, it will 
work
for some time, until somebody updates the gcc version, at which point 
compilation will
fail.

Right now, in "unstable", eclipse-titan-6.2.0 was apparently built using 
gcc-6.3.0,
but "unstable" contains gcc-7.2.0 as default gcc version.

Building any TTCN-3 project thus renders the following error messages during 
copilation:

g++  -c -DLINUX -I/usr/include -I/usr/include/titan -I/usr/include/titan -Wall 
-fPIC   -o GGSN_Tests.o GGSN_Tests.cc
In file included from /usr/include/titan/TTCN3.hh:42:0,
                 from GGSN_Tests.hh:19,
                 from GGSN_Tests.cc:11:
/usr/include/titan/cversion.h:7:2: error: #error The version of GCC does not 
match the expected version (GCC 6.3.0)
 #error The version of GCC does not match the expected version (GCC 6.3.0)
  ^~~~~

$ gcc --version
gcc (Debian 7.2.0-11) 7.2.0

I was building http://git.osmocom.org/osmo-ttcn3-hacks/tree/ggsn_tests for the 
above output, but it will
happen for any TTCN-3 project as the core include file TTCN3.hh refers to the 
include file with that
statement

-- System Information:
Debian Release: buster/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 4.12.0-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8), 
LANGUAGE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash
Init: systemd (via /run/systemd/system)

Versions of packages eclipse-titan depends on:
ii  default-jdk   2:1.8-59
ii  expect        5.45-8
ii  libc6         2.24-17
ii  libgcc1       1:7.2.0-11
ii  libncurses5   6.0+20170902-1
ii  libpcap-dev   1.8.1-5
ii  libpcre3-dev  2:8.39-5
ii  libsctp-dev   1.0.17+dfsg-1+b1
ii  libssl-dev    1.1.0f-5
ii  libssl1.1     1.1.0f-5
ii  libstdc++6    7.2.0-11
ii  libtinfo5     6.0+20170902-1
ii  libxml2       2.9.4+dfsg1-5
ii  libxml2-dev   2.9.4+dfsg1-5
ii  make          4.1-9.1
ii  perl          5.26.0-8
ii  python        2.7.14-1

eclipse-titan recommends no packages.

eclipse-titan suggests no packages.

-- no debconf information

--- End Message ---
--- Begin Message ---
Source: eclipse-titan
Source-Version: 6.3.1-1

We believe that the bug you reported is fixed in the latest version of
eclipse-titan, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 879...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Gergely Pilisi <mail.pili...@gmail.com> (supplier of updated eclipse-titan 
package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Tue, 20 Feb 2018 11:03:04 +0100
Source: eclipse-titan
Binary: eclipse-titan
Architecture: source
Version: 6.3.1-1
Distribution: unstable
Urgency: high
Maintainer: Gergely Pilisi <mail.pili...@gmail.com>
Changed-By: Gergely Pilisi <mail.pili...@gmail.com>
Description:
 eclipse-titan - TITAN TTCN-3 toolset from the Eclipse project
Closes: 879816
Changes:
 eclipse-titan (6.3.1-1) unstable; urgency=high
 .
   * New release.
   * Fixes GCC version change problems in the future  (Closes: #879816)
   * Standards-Version bump to 4.1.3 (no changes needed)
Checksums-Sha1:
 bc98a82cbbbaa9a3eaf5c36edda58ab17b45402f 1843 eclipse-titan_6.3.1-1.dsc
 67768573bb6acb401ed9a1252de38af9dd1e2c4e 12275675 
eclipse-titan_6.3.1.orig.tar.gz
 6e9ef8b880b4ddf76ade5143733231d48d11454e 6280 
eclipse-titan_6.3.1-1.debian.tar.xz
 2288ae6ea666a75ca23c6ebdbb5e7387d2d7e178 11656 
eclipse-titan_6.3.1-1_amd64.buildinfo
Checksums-Sha256:
 e7c2c81e7e806af0abd38009d3d8366951d37a674170c6a1adb58aa24c6b8ba0 1843 
eclipse-titan_6.3.1-1.dsc
 b7ad518d6e164b6ca7b1a16bf969906b89f435ebce1b5ade936a9f3c3f9fac5a 12275675 
eclipse-titan_6.3.1.orig.tar.gz
 8c4485759a4b502ac4b3a6bcb74f65e446c3e4f485dc6186f5bed173d6d765d6 6280 
eclipse-titan_6.3.1-1.debian.tar.xz
 6f50ebf9efbdc10b212d4b6b89259a8c8ebaef6c64a9ed18466275b187b600f0 11656 
eclipse-titan_6.3.1-1_amd64.buildinfo
Files:
 6e260e64354f8afe3703c1e9ccbb0935 1843 java optional eclipse-titan_6.3.1-1.dsc
 cc2d63a105b008eb2bd19663bfbdeab7 12275675 java optional 
eclipse-titan_6.3.1.orig.tar.gz
 f192a306a3524474ef4d5b42c305ffc4 6280 java optional 
eclipse-titan_6.3.1-1.debian.tar.xz
 59ae361632171e4abf32b17d740860ea 11656 java optional 
eclipse-titan_6.3.1-1_amd64.buildinfo

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEi3hoeGwz5cZMTQpICBa54Yx2K60FAlqO5iAACgkQCBa54Yx2
K61JmhAAmd4PLHqF9xYQIvPxkLIZW+BSAW6Bh6hK90mC4I5EXPikLI3Yx/jS+H8g
CJ5+55WkzfgFu52TxNhpKsWFpdR9/PJof/NmuQSdbmTubOOC20mIxR8WkC44F80r
OoLrnL5CQTsLfN/djmg1CJg1507niFXsg+HSR4X/0ylS4Q/U9DVj/TBxJMzi+iTI
bVu4OhKdoqSZPWarpZ3IYiUEd/Xc+HIh+foN/zO7H2T0WtrJFTU9Kuw6BB5oVP53
GdRZU7VE+YnRjxh/SlJNWcJEhSPmU/dWNP3qd348TFjdLj+/vZU2lgq2jR3wPe6p
4pME/6LKCveuwEHCE1nEhGS1n2yjkpKgm0FylfAMvioz6Zd/vcLdFoVx8VvA47ZM
eaZPZUlPpuQiTYp1qhU7Y/XhEWS5+At88DC3nBuP8IBCS3Eki+pqRvNDaTr4nQql
KIRe/z9Ln9rSAczvTgvsmX+HSSqDeUdKv2GdYyszKUTjMssDQfZde4SO4nlYUbJ/
0NulenpqlJpLUTMJg1FQibbE+9PteFR43UEo5uP6tucn1RmRi2vwgo1NH9BFnYhl
fW9IPDi11rGpR5k74ogJouPEbQvmtkVqkfJXgalSl0lXRWYnZNBpKOSM2ioHlVms
1Bw8TMXph9i1ZvB4pT92qsfrjp4h3Ar+n7b6XbnU3AnQp0aIAnI=
=eRJE
-----END PGP SIGNATURE-----

--- End Message ---

Reply via email to